#include <bits/stdc++.h>

using namespace std;

int main()
{
    string s;
    cin >> s;
    int count_digits[2] = {0, 0};
    
    for (int i=0; i<s.size(); i++){
        int digit = s[i] - '0';
        count_digits[digit]++;
    }
    
    while (count_digits[1] > 1) {
        count_digits[1]--;
        cout << "1";
    }
    while (count_digits[0]) {
        count_digits[0]--;
        cout << "0";
    }
    cout << "1" << endl;
}

